Index a repository
curl --request PUT \
--url https://api.devin.ai/v3beta1/organizations/{org_id}/repositories/{repository_path}/indexing \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"branch_names": [
"<string>"
]
}
'import requests
url = "https://api.devin.ai/v3beta1/organizations/{org_id}/repositories/{repository_path}/indexing"
payload = { "branch_names": ["<string>"] }
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.put(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PUT',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({branch_names: ['<string>']})
};
fetch('https://api.devin.ai/v3beta1/organizations/{org_id}/repositories/{repository_path}/indexing', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"branches": [
"<string>"
],
"indexing_enabled": true,
"repository_path": "<string>",
"indexing_status": {
"indexing_enabled": true,
"latest_completed_search_index_job": {
"branch_name": "<string>",
"commit": "<string>",
"created_at": 123,
"job_id": "<string>"
},
"latest_completed_wiki_index_job": {
"branch_name": "<string>",
"commit": "<string>",
"created_at": 123,
"job_id": "<string>"
},
"latest_indexes": [
{
"branch_name": "<string>",
"commit": "<string>",
"created_at": 123,
"job_id": "<string>"
}
]
}
}{
"detail": [
{
"loc": [
"<string>"
],
"msg": "<string>",
"type": "<string>"
}
]
}Repositories (Organization)
Index a repository
Idempotently enables indexing for a single repository and triggers indexing jobs.
PUT
/
v3beta1
/
organizations
/
{org_id}
/
repositories
/
{repository_path}
/
indexing
Index a repository
Permissions
Requires a service user with theIndexOrgRepositories permission at the organization level.
Behavior
This endpoint is idempotent — calling it multiple times for the same repository will not create duplicate indexing jobs. It enables indexing and triggers indexing jobs for the specified repository. You can optionally specifybranch_names in the request body to index specific branches. If omitted, the default branch is used.Authorizations
Service User credential (prefix: cog_)
Path Parameters
Organization ID (prefix: org-)
Example:
"org-abc123def456"
Body
application/json
⌘I

